#!/bin/sh
# ##########################################################################
# ####                                                                  ####
# ####                    Master Thesis Implementation                  ####
# ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
# ####                  DiffServ with A Priori Knowledge                ####
# ####                                                                  ####
# #### ================================================================ ####
# ####                                                                  ####
# ####                                                                  ####
# #### Documentation Generator Script                                   ####
# ####                                                                  ####
# #### Version 1.00  --  September 16, 2000                             ####
# ####                                                                  ####
# #### Copyright (C) 2000 Thomas Dreibholz                              ####
# #### University of Bonn, Department of Computer Science IV            ####
# #### EMail: Dreibholz@bigfoot.com                                     ####
# #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
# ####                                                                  ####
# ##########################################################################


echo ""
echo "Removing old documentation..."
echo ""

if [ -e Documentation ]
then
   rm -Rf Documentation
fi   


echo ""
echo "Generating new documentation..."
echo ""

/opt/kde2.0/bin/kdoc -f html -d Documentation -n "Master Thesis Implementation" *.h


echo ""
echo "Modifying layout..."
echo ""

find -name "*.html" | xargs -n 1 UpdateDocFile.sh

echo ""
echo "Documentation complete!"
echo ""
