#!/bin/bash
# ##########################################################################
# ####                                                                  ####
# ####                    Master Thesis Implementation                  ####
# ####  Management of Layered Variable Bitrate Multimedia Streams over  ####
# ####                  DiffServ with A Priori Knowledge                ####
# ####                                                                  ####
# #### ================================================================ ####
# ####                                                                  ####
# ####                                                                  ####
# #### Backup Script                                                    ####
# ####                                                                  ####
# #### Version 1.00  --  September 16, 2000                             ####
# ####                                                                  ####
# #### Copyright (C) 2000 Thomas Dreibholz                              ####
# #### University of Bonn, Department of Computer Science IV            ####
# #### EMail: Dreibholz@bigfoot.com                                     ####
# #### WWW:   http://www.bigfoot.com/~dreibholz/diplom/index.html       ####
# ####                                                                  ####
# ##########################################################################


if [ ! $# -gt 0 ]
then
   echo "Usage: TarBackup.sh [Tar-File]"
   exit
fi


make clean
tar --no-recursion -c -p -z -v -f $1 ./* Ablage/* config/* bak1/diplom/* Documentation/*


echo ""
echo "Backup to $1 completed!"
echo ""
